<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ContactsController extends Controller
{
    public function index()
    {
        $rows = Contact::orderByDesc('id')->get();
        return view('admin.contacts.index', compact('rows'));
    }
    public function destroy($id){
        Contact::destroy($id);
        toast('تمت العمليه بنجاح','success');
        return redirect()->back();
    }
}
