<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class SalonTimeResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'day' => $this->day ? $this->day : '',
            'from' => $this->from ? $this->from : '',
            'to' => $this->to ? $this->to : '',
            'open_status' => $this->open_status ? $this->open_status : '',

        ];
    }
}
