<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class SlidersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'image' => $this->image,
            'salon_id' => $this->user_id ? (integer)$this->user->salon->id : 0,
            "lat"=>($this->user  && $this->user->lat) ? $this->user->lat : "",
            "lng"=>($this->user  && $this->user->lng) ? $this->user->lng : "",
            'url' => $this->url ? $this->url : ''
        ];
    }
}
