<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSalonCommentsTable extends Migration {

	public function up()
	{
		Schema::create('salon_comments', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('salon_id')->unsigned();
			$table->integer('user_id')->unsigned();
			$table->string('rate', 191)->nullable();
			$table->string('comment', 191)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('salon_comments');
	}
}