<?php

use App\Models\City;

Route::get('/', function () {
    return redirect()->route('admin_login');
});


Route::get('insert_cities', function () {
    $old_cities = DB::table('sa_cities')->get();


    foreach ($old_cities as $city) {
        $new_city = new City();
        $new_city->name = $city->nameAr;
        $new_city->save();
    }
    dd('done');
});

Route::group(['namespace' => 'Admin'], function () {
    Route::get('login', 'HomeController@login_form')->name('admin_login');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');
    Route::group(['middleware' => 'admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@home')->name('dashboard');
        Route::get('logout', 'HomeController@admin_logout')->name('admin_logout');
        Route::resource('admin', 'AdminsController');
        Route::resource('setting', "SettingsController");
        Route::resource('salons', 'SalonsController');
        Route::resource('new_salons', 'newSalonsController');
        Route::resource('users', 'UsersController');
        Route::resource('categories', 'CategoriesController');
        Route::resource('services', 'ServicesController');
        Route::resource('cities', 'CitiesController');
        Route::resource('contacts', 'ContactsController');
        Route::resource('notifications', 'NotificationsController');
        Route::resource('transfers', 'TransfersController');
        Route::resource('admin_transfers', 'AdminTransfersController');
        Route::resource('orders', 'OrdersController');
        Route::resource('fields', 'FieldsController');
        Route::resource('sliders', 'SlidersController');
        Route::resource('subscriptions', 'SubscriptionsController');
        Route::get('order_search', 'OrdersController@order_search')->name('order_search');

        Route::resource('banks', 'BanksController');
        Route::resource('transfers_subscribes', 'TransfersSubscribesController');
        Route::get('transfers_subscribes_status/{id}/{status}', 'TransfersSubscribesController@transfers_subscribes_status')->name('transfers_subscribes_status');

    });
});
