<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    protected $table = 'sliders';
    protected $fillable = ['image', 'user_id', 'url'];
    public function setImageAttribute()
    {
        $rand = rand(111,999);
        $file = request()->file('image');
        $destinationPath = 'images/sliders/';
        $filename = $rand .'_'.time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/sliders/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
