<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRoomsTable extends Migration {

	public function up()
	{
		Schema::create('rooms', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->integer('salon_id')->unsigned();
			$table->string('code', 191)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('rooms');
	}
}