@extends('admin.layout.master')
@section('title', 'اضافه باقة')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">اضافه باقة</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('subscriptions.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم</label>
                                <input type="text" class="form-control" value="{{old('name')}}"  name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">المدة بالايام</label>
                                <input type="number" class="form-control" value="{{old('duration')}}"  name="duration"
                                       id="exampleInputEmail1"
                                       placeholder="المدة">
                                @if ($errors->has('duration'))
                                    <small class="text-danger">{{ $errors->first('duration') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر</label>
                                <input type="number" class="form-control" value="{{old('price')}}"  name="price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر">
                                @if ($errors->has('price'))
                                    <small class="text-danger">{{ $errors->first('price') }}</small>
                                @endif
                            </div>


{{--                            <div class="row">--}}
{{--                                <div class="col-sm-12">--}}
{{--                                    <div class="card-box">--}}
{{--                                        <h4 class="header-title mb-4">الصورة </h4>--}}
{{--                                        <input type="file" required name="image" class="dropify"--}}
{{--                                               data-height="200"/>--}}
{{--                                    </div>--}}
{{--                                </div><!-- end col -->--}}
{{--                                @if ($errors->has('image'))--}}
{{--                                    <small--}}
{{--                                        class="text-danger">{{ $errors->first('image') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}



                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')
    <script>
           $("#exampleSelect1_to").on('change',function () {
                var select_to = $("#exampleSelect1_to").val();
                if (select_to == 'all'){
                    $("#users_select").hide();
                }else {
                    $("#users_select").show();

                }
        });
    </script>

@stop
